Bug 1260219 - Review Request: python3-mallard-ducktype - Parse Ducktype files and convert them to Mallard
Review Request: python3-mallard-ducktype - Parse Ducktype files and convert t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 15:43 EDT by David King
Modified: 2015-09-18 16:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David King 2015-09-04 15:43:33 EDT
Spec URL: https://amigadave.fedorapeople.org/python3-mallard-ducktype.spec
SRPM URL: https://amigadave.fedorapeople.org/python3-mallard-ducktype-0.1-1.fc24.src.rpm
Description: Parse Ducktype files and convert them to Mallard.
Fedora Account System Username: amigadave
Comment 1 Julien Enselme 2015-09-05 12:31:10 EDT
- Remove upstream's egg-info
- (should) did you contact the upstream maintainer to ask him/her to include the license file?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /tmp/1260219-python3-mallard-ducktype/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-mallard-ducktype-0.1-1.fc24.noarch.rpm
          python3-mallard-ducktype-0.1-1.fc24.src.rpm
python3-mallard-ducktype.noarch: W: no-documentation
python3-mallard-ducktype.noarch: W: no-manual-page-for-binary ducktype
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-mallard-ducktype.noarch: W: no-documentation
python3-mallard-ducktype.noarch: W: no-manual-page-for-binary ducktype
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python3-mallard-ducktype (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)



Provides
--------
python3-mallard-ducktype:
    python3-mallard-ducktype



Source checksums
----------------
https://pypi.python.org/packages/source/m/mallard-ducktype/mallard-ducktype-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : c18241ce5119b7eac5fdeeaa4de53748ab1024483d4732fe6ef3ffb09e2f4826
  CHECKSUM(SHA256) upstream package : c18241ce5119b7eac5fdeeaa4de53748ab1024483d4732fe6ef3ffb09e2f4826


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1260219
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 David King 2015-09-05 12:57:38 EDT
Thanks for the review! I updated the SPEC and SRPM in place. Is it sufficient to just remove the egg-info in %prep, as I changed the spec to do? Yes, I asked upstream (on IRC) if they could include the MIT license as a separate file in the next release.
Comment 3 Julien Enselme 2015-09-05 13:44:46 EDT
> Is it sufficient to just remove the egg-info in %prep, as I changed the spec to do?

It is, approved!
Comment 4 David King 2015-09-05 13:59:39 EDT
New Package SCM Request
=======================
Package Name: python3-mallard-ducktype
Short Description: Parse Ducktype files and convert them to Mallard
Upstream URL: https://pypi.python.org/pypi/mallard-ducktype
Owners: amigadave
Branches: f22 f23
InitialCC: baz
Comment 5 David King 2015-09-05 13:59:57 EDT
New Package SCM Request
=======================
Package Name: python3-mallard-ducktype
Short Description: Parse Ducktype files and convert them to Mallard
Upstream URL: https://pypi.python.org/pypi/mallard-ducktype
Owners: amigadave
Branches: f22 f23
InitialCC:
Comment 6 Gwyn Ciesla 2015-09-06 10:41:01 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-09-07 04:50:00 EDT
python3-mallard-ducktype-0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15253
Comment 8 Fedora Update System 2015-09-07 05:08:55 EDT
python3-mallard-ducktype-0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15254
Comment 9 Fedora Update System 2015-09-07 14:19:29 EDT
python3-mallard-ducktype-0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python3-mallard-ducktype'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15254
Comment 10 Fedora Update System 2015-09-07 14:20:38 EDT
python3-mallard-ducktype-0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python3-mallard-ducktype'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15253
Comment 11 Fedora Update System 2015-09-08 11:48:43 EDT
python3-mallard-ducktype-0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15371
Comment 12 Fedora Update System 2015-09-08 11:50:08 EDT
python3-mallard-ducktype-0.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15373
Comment 13 Fedora Update System 2015-09-08 13:51:03 EDT
python3-mallard-ducktype-0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python3-mallard-ducktype'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15371
Comment 14 Fedora Update System 2015-09-08 17:25:28 EDT
python3-mallard-ducktype-0.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python3-mallard-ducktype'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15373
Comment 15 Fedora Update System 2015-09-18 14:31:43 EDT
python3-mallard-ducktype-0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-09-18 16:51:04 EDT
python3-mallard-ducktype-0.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.